////////////////////////////////////////////////////////////////////////////////
//   MB Hopeless Productions proudly presents competely freeware:
//---------------------------------------------------------------------------
//
//_Name: 		TMBConfig;
//_Version:		98.08.01;
//_Description:		Application configuration parameters in registry;
//_Type:		API;
//_Comment:  		Easiest way to store various configuration parameters in registry;
//_C:    		Only two main methods:;
//_C:    		-KGet(ParameterName:string):string - to read a parameter from registry;
//_C:    		-KSet(ParameterName,ParameterValue:string) - to set a parameter value;
//_Words:		api,configuration,registry;
//_Sources:		P; (C,P,J)
//_Inheritance:     	TComponent;
//_Author:		Mark Bisz, mbisz@friko2.onet.pl,none;
//_URL:			none; internet url to loook for new versions
//_Properties:
//_P:CompanyName:       just set to Your company name;
//_Methods:
//_M:KGet(ParameterName:string):string:Gets parameter from registry. If not present returns '';
//_M:KSet(ParameterName,ParameterValue:string):Sets parameter. If not present - creates one;
//_M:GetAppFileName:String:Gets application file name (without path);
//---------------------------------------------------------------------------
unit MBConfigReg;

interface

uses
  Classes,MBConfig;

procedure Register;

implementation


procedure Register;
begin
  RegisterComponents('MB', [TMBConfig]);
end;

end.
