unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, MBConfig;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    RadioGroup1: TRadioGroup;
    Label3: TLabel;
    Edit1: TEdit;
    ComboBox1: TComboBox;
    Label4: TLabel;
    ScrollBar1: TScrollBar;
    MC: TMBConfig;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormShow(Sender: TObject);
begin
//reading configuration...
Edit1.Text:=MC.KGet('Edit1 Text');
try
  ComboBox1.ItemIndex:=StrToInt(MC.KGet('Combo ItemIndex'));
  RadioGroup1.ItemIndex:=StrToInt(MC.KGet('RadioGroup1 ItemIndex'));
  ScrollBar1.Position:=StrToInt(MC.KGet('ScrollBar1 Position'));
except
  on Exception do
     begin
     ComboBox1.ItemIndex:=1;
     RadioGroup1.ItemIndex:=1;
     ScrollBar1.Position:=1;
     end;
end;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
//writing configuration...
MC.KSet('Edit1 Text',Edit1.Text);
MC.KSet('Combo ItemIndex',IntToStr(ComboBox1.ItemIndex));
MC.KSet('RadioGroup1 ItemIndex',IntToStr(RadioGroup1.ItemIndex));
MC.KSet('ScrollBar1 Position',IntToStr(ScrollBar1.Position));
end;

end.
